[Unit]
Description=Service for Timer ${timer}
After=network.target
% if config.get('requires', ''):
Requires=${config['requires']}
% endif

[Service]
User=${config.get('user', 'root')}
Group=${config.get('group', config.get('user', 'root'))}
% for k, v in sorted(config.get('environment', {}).items()):
Environment=${k}=${v}
% endfor
WorkingDirectory=${config.get('pwd', '/')}
Type=oneshot
% if isinstance(config['command'], list):
%  for command in config['command']:
ExecStart=/usr/local/sbin/systemd-timer-monitored ${timer} ${command}
%  endfor
% elif config.get('exclude_from_monitoring', False):
ExecStart=${config['command']}
% else:
ExecStart=/usr/local/sbin/systemd-timer-monitored ${timer} ${config['command']}
% endif
